Subject: bug#43765: closed (Re: [bug#43766] [PATCH] gnu: Add go-github-com-errata-ai-vale.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Nov 2020 13:54:02 +0000

Your bug report

#43766: [PATCH] gnu: Add go-github-com-errata-ai-vale.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43766: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43766
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43766] [PATCH] gnu: Add go-github-com-errata-ai-vale.
From: Ludovic Courtès <[email-masked]>
To: Gabriel Arazas <[email-masked]>
Cc: [email-masked]
Date: Mon, 02 Nov 2020 14:53:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Gabriel Arazas <[email-masked]> skribis:

> * gnu/packages/textutils.scm (go-github-com-errata-ai-vale): New variable.

Applied, thanks!

Ludo’.

Subject: [PATCH] gnu: Add go-github-com-errata-ai-vale.
From: Gabriel Arazas <[email-masked]>
To: [email-masked]
Date: Sat, 3 Oct 2020 01:13:16 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

One of my favorite writing tools and also my first dive into Go thru
packaging this program.
I do have a couple of questions/feedback regarding packaging Go packages:

* When do I add the missing dependencies? Is it required or just a
preference? Are indirect dependencies included to be listed?
I noticed that some of the Go packages have incomplete
depedencies on the package definition and you can still build the
Go packages even if you remove it (or at least my package does that).

* I feel like there's a missing section in the documentation
regarding naming Go packages since I noticed there are some
inconsistencies. For example, there are packages that starts with 'go-github.com'
and 'go-github-com'. (To be fair, I only found like 2 packages that has
different naming so far.)